CFO financial reconciliation (MP ↔ sale ↔ Siigo invoice)
Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.
/reports/reconciliationAuthorizationAPI key · headerrequiredAPI key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).
x-api-keyAPI key · headerrequiredRaw API key (without Bearer ), alternative to Authorization.
date_fromstringrequiredISO 8601 (start, on Sale.created_at)
date_tostringrequiredISO 8601 (end)
match_statusstringFilter by flag: OK|MISSING_INVOICE|MISSING_CUFE|AMOUNT_MISMATCH|MISSING_PAYMENT
OKMISSING_INVOICEMISSING_CUFEAMOUNT_MISMATCHMISSING_PAYMENTproviderstringFilter by payment_provider (e.g. mercadopago)
eventstringFilter by event id
eventDatestringFilter by event date id (takes precedence over event)
pageinteger1-based page (default 1)
page_sizeintegerPage size 1..500 (default 100)
X-Workspace-IdstringActive workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).
OK
dataReconciliationRow[]requiredShow propertiesHide properties
ReconciliationRowsale_referencestringrequiredsale_statusstringrequiredPENDINGCONFIRMEDABANDONEDCANCELLEDREFUNDEDsale_amountnumberrequiredmp_payment_refstring | nullrequiredShow propertiesHide properties
stringnullmp_providerstring | nullrequiredShow propertiesHide properties
stringnullmp_amountnumber | nullrequiredShow propertiesHide properties
numbernullsiigo_invoice_namestring | nullrequiredShow propertiesHide properties
stringnullsiigo_invoice_statusstring | nullrequiredShow propertiesHide properties
stringnullsiigo_cufestring | nullrequiredShow propertiesHide properties
stringnullmatch_statusMatchStatusrequiredOKMISSING_INVOICEMISSING_CUFEAMOUNT_MISMATCHMISSING_PAYMENTevent_idstring | nullrequiredShow propertiesHide properties
stringnullevent_namestring | nullrequiredShow propertiesHide properties
stringnullevent_date_idstring | nullrequiredShow propertiesHide properties
stringnullMissing or invalid credential.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsanyInsufficient role or resource not accessible.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsanyResource does not exist or is out of scope.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsanyRequest body/parameter validation failed.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany
